Skip to main content

Create subscription

You can create at most 50 subscriptions

Required scopes:

  • partner.webhooks.manage

Request Body — REQUIRED

New subscription request

webhookUrl string — REQUIRED

Webhook HTTPS endpoint url.

webhookVersion string — REQUIRED

Possible values: [v1, v2]

Version that will be used when formatting the webhook payload.

secret string — REQUIRED

Possible values: 10 ≤ length ≤ 50

Webhook secret that will be used for signing the request.

enabled boolean — REQUIRED

Flag for enabling/disabling the subscription. If subscription is disabled the webhook won't be triggered for the respective event types.

eventTypes string[] — REQUIRED

List of event types for the subscription. Each time that some event type from the list occurs, the webhook will be triggered.

Responses
201

Created

Schema — OPTIONAL
id uuid

Id of the subscription in GUID format

webhookUrl string

Webhook HTTPS endpoint url.

webhookVersion string

Possible values: [v1, v2]

Version that will be used when formatting the webhook payload.

enabled boolean

Flag for enabling/disabling the subscription. If subscription is disabled the webhook won't be triggered for the respective event types.

created date-time

Time at which subscription has been created.

eventTypes string[]

List of event types for the subscription. Each time that some event type from the list occurs, the webhook will be triggered.

401

Unauthorized

403

Forbidden